> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesendly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get webhook details

## Description

Get detailed information about a specific webhook.

## Parameters

<ParamField path="id" type="string" required>
  Unique webhook ID.
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique webhook ID.
</ResponseField>

<ResponseField name="url" type="string">
  Configured URL.
</ResponseField>

<ResponseField name="status" type="boolean">
  If webhook is active.
</ResponseField>

<ResponseField name="events" type="array">
  List of events this webhook receives.
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 creation timestamp.
</ResponseField>

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.usesendly.app/v1/webhooks/webhook_123" \
    -H "Authorization: Bearer se_your_api_key"
  ```

  ```javascript SDK theme={null}
  const webhook = await client.webhooks.get('webhook_123')

  console.log(`URL: ${webhook.url}`)
  console.log(`Events: ${webhook.events.length}`)
  ```

  ```javascript SMTP theme={null}
  import { Sendly } from '@sendlyapp/sdk'

  const client = new Sendly()
  const webhook = await client.webhooks.get('webhook_123')
  ```
</CodeGroup>

***

Need help? Contact [support@usesendly.app](mailto:support@usesendly.app)
